Chats
Update Session
Update a chat session (pin, archive, rename)
Update a chat session (pin, archive, rename)
X-API-Key<token>
Use X-API-Key: .
In: header
Path Parameters
sessionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://loading/sessions/string" \ -H "Content-Type: application/json" \ -d '{}'{
"agentId": "string",
"archivedAt": null,
"automationId": null,
"chatId": "string",
"createdAt": "string",
"dashboardId": null,
"id": "string",
"pinnedAt": null,
"shareLinkId": null
}{
"cause": {
"code": "api/invalid-json",
"detail": "string"
},
"message": "The request body is not valid JSON"
}{
"cause": {
"code": "auth/jwt-invalid",
"detail": "malformed"
},
"message": "Token verification failed"
}{
"cause": {
"code": "api/no-active-team",
"detail": "You must have an active team. Please select a team to continue."
},
"message": "No active team"
}{
"cause": {
"code": "api/unsupported-media-type",
"detail": "GET requests cannot have a content type header"
},
"message": "Unsupported Media Type"
}